[rkward-cvs] SF.net SVN: rkward-code:[4789] trunk/rkward/macports/update_bundle.sh

m-eik at users.sf.net m-eik at users.sf.net
Wed Apr 30 14:14:06 UTC 2014


Revision: 4789
          http://sourceforge.net/p/rkward/code/4789
Author:   m-eik
Date:     2014-04-30 14:14:06 +0000 (Wed, 30 Apr 2014)
Log Message:
-----------
MacPorts: adjusting bundle script to recent changes in portfiles, "debug" is now a variant

Modified Paths:
--------------
    trunk/rkward/macports/update_bundle.sh

Modified: trunk/rkward/macports/update_bundle.sh
===================================================================
--- trunk/rkward/macports/update_bundle.sh	2014-04-30 10:46:23 UTC (rev 4788)
+++ trunk/rkward/macports/update_bundle.sh	2014-04-30 14:14:06 UTC (rev 4789)
@@ -7,6 +7,7 @@
 PTARGET=rkward-devel
 PNSUFFX="-devel"
 DEVEL=TRUE
+PVARIANT=""
 # specify work directory
 WORKDIR=/opt/ports/kde/${PTARGET}/work
 # specify local public directory
@@ -42,8 +43,8 @@
 
            the following must always be combined with r/m/s/c:
            -D (build target rkward instead of rkward-devel)
-           -d (build subport 'debug')
-           -b (build subport 'binary')
+           -d (build variant 'debug')
+           -b (build subport 'binary', needs CRAN R)
 
            these work on their own:
            -X (completely!!! wipe ${MPTINST})
@@ -68,7 +69,7 @@
        PNSUFFX="" >&2
        DEVEL=FALSE >&2 ;;
     d) DEBUG=TRUE >&2
-       PTARGET=${PTARGET}-debug >&2
+       PVARIANT="+debug" >&2
        PNSUFFX="${PNSUFFX}-debug" >&2 ;;
     b) BINARY=TRUE >&2
        PTARGET=${PTARGET}-binary >&2
@@ -194,7 +195,7 @@
     fi
   done
   # build and install recent version
-  sudo port -v install ${PTARGET} || exit 1
+  sudo port -v install ${PTARGET} ${PVARIANT} || exit 1
 fi
 
 # remove static libraries, they're a waste of disk space





More information about the rkward-tracker mailing list